<?php if( plant_fnc_theme_options('logo_white') ):  ?>
<div id="pbr-logo" class="logo logo-theme">
    <a class="logo-white" href="<?php echo esc_url( home_url( '/' ) ); ?>">
        <img class="img-responsive" src="<?php echo plant_fnc_theme_options('logo_white'); ?>" alt="<?php echo esc_attr(get_bloginfo( 'name','display' )); ?>">
    </a>
</div>
<?php else: ?>
    <div id="pbr-logo" class="logo logo-theme">
        <a class="logo-white" href="<?php echo esc_url( home_url( '/' ) ); ?>">
             <img class="img-responsive" src="<?php echo get_template_directory_uri() . '/images/logo-white.png'; ?>" alt="<?php echo esc_attr(get_bloginfo('name','display')); ?>" />
        </a>
    </div>
<?php endif; ?>