<?php
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$img = wp_get_attachment_image_src($icon_img, 'full');
$style_cls = $style ? 'feature-box-' . $style : "";
$color = $color ? 'style="color:' . $color . ';"' : "";
$title_color = $title_color ? 'style="color:' . $title_color . ';"' : "";;

if ($style == 'group'):
    $items = (array)vc_param_group_parse_atts($items);
    ?>
    <div class="contact-infor <?php echo esc_attr($el_class) ?>">
        <div class="wrap-right">
            <?php if (isset($img[0]) && $img[0]) { ?>
                <div class="img-left">
                    <img src="<?php echo esc_url_raw($img[0]); ?>" alt="<?php echo esc_attr($title); ?>"/>
                </div>
            <?php } ?>
            <div class="content-contact">
                <h5><?php echo esc_html($title); ?></h5>
                <?php foreach ($items as $key => $item): ?>
                    <p><span><?php echo esc_html($item['name']); ?></span> <?php echo esc_html($item['description']); ?></p>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
<?php else: ?>
    <div class="feature-box <?php echo esc_attr($style_cls); ?> <?php echo esc_attr($el_class) ?>">
        <div class="wrap-feauture">
            <div class="box-iteam">
                <?php if (isset($img[0]) && $img[0]) { ?>
                    <img src="<?php echo esc_url_raw($img[0]); ?>" alt="<?php echo esc_attr($title); ?>"/>
                <?php } ?>
                <?php if ($icon) { ?>
                    <div class="fbox-icon">
                        <i class="icons <?php echo esc_attr($icon); ?>" <?php echo trim($color); ?>></i>
                    </div>
                <?php } ?>
                <h5 class="title-h6" <?php echo trim($title_color); ?>><?php echo trim($title); ?></h5>
                <?php if ($subtitle) { ?>
                    <p><?php echo esc_html($subtitle); ?></p>
                <?php } ?>
            </div>
        </div>
    </div>

<?php endif; ?>
