<?php
/**
 * Created by PhpStorm.
 * User: MyPC
 * Date: 04/09/2018
 * Time: 9:24 SA
 */
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);
$items = (array)vc_param_group_parse_atts($items);

$data_slick = '{"autoplay": true,"autoplaySpeed": 4000,"dots": true,"arrows": false,"fade": true, "slidesToShow": 1, "slidesToScroll": 1,
                                "responsive": [ {"breakpoint": 1024, "settings": {"slidesToShow": 1, "slidesToScroll": 1,"infinite": true,"dots":true}},
                                 {"breakpoint": 600, "settings": {"slidesToShow": 1, "slidesToScroll": 1,"dots":false}}]}';
$data_slick_v1 = '{"autoplay": true,"autoplaySpeed": 4000,"dots": false,"arrows": true,
                                "responsive": [ {"breakpoint": 1024, "settings": {"slidesToShow": 1, "slidesToScroll": 1,"infinite": true,"dots":false,"autoplaySpeed":2000}},
                                 {"breakpoint": 600, "settings": {"slidesToShow": 1, "slidesToScroll": 1,"dots":false,"arrows":false,"infinite":true,"autoplaySpeed":2000}},
                                 {"breakpoint": 480, "settings": {"dots": false, "infinite": true,"dots":false,"arrows":false,"autoplaySpeed":2000}}]}';
if ($slider_style == 'style-v1'):
    ?>
    <div id="full-slider"
         class="fullw-slider slide-v1 js-slick-slider js-custom-slider <?php echo esc_html($el_class); ?>"
         data-slick="<?php echo esc_html($data_slick); ?>">
        <?php foreach ($items as $key => $item):
            $img_slide = wp_get_attachment_image_url($item['photo_slider'], 'full');
            $photo_product = wp_get_attachment_image_url($item['photo_product'], 'full');
            ?>
            <div class="slider-img full-slide js-full-slide">
                <div class="w50" data-animation="fadeInLeft" data-delay="0.5s">
                    <img src="<?php echo esc_url($img_slide); ?>"
                         alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" class="img-responsive">
                </div>
                <div class="w50 w50-1 text-center" data-animation="fadeInRight" data-delay="0.5s">
                    <div class="content">
                        <div class="box-img">
                            <a href="#" data-animation="bounceIn" data-delay="1s">
                                <img src="<?php echo esc_url($photo_product); ?>" class="img-responsive"
                                     alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>"
                                     title="images products">
                            </a>
                            <div class="content-item">
                                <h5 class="title-h5" data-animation="fadeInUp" data-delay="1.2s">
                                    <a href="<?php echo esc_url(get_the_permalink($item['product'])); ?>"><?php echo get_the_title($item['product']); ?></a>
                                </h5>
                                <div class="bottom" data-animation="fadeInUp" data-delay="1.6s">
                                    <?php $_product = wc_get_product($item['product']); ?>
                                    <?php echo trim($_product->get_price_html()); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
<?php elseif ($slider_style == 'style-v2'): ?>
    <div id="full-slider" class="js-custom-slider slide-v3 js-slick-slider <?php echo esc_html($el_class); ?>"
         data-slick="<?php echo esc_html($data_slick); ?>">
        <?php foreach ($items as $key => $item):
            $img_slide = wp_get_attachment_image_url($item['photo_slider'], 'full'); ?>
            <div class="slider-img full-slide js-full-slide">
                <div class="row">
                    <div class="w50 w50-1 col-sm-6" data-animation="fadeInRight" data-delay="0.5s">
                        <div class="content">
                            <div class="box-img">
                                <div class="content-item">
                                    <?php
                                    $str_cat = '';
                                    $terms = get_the_terms($item['product'], 'product_cat');
                                    $num = count($terms);
                                    $split = '';
                                    ?>

                                    <p data-animation="fadeInRight"
                                       data-delay="1s">
                                        <?php foreach ($terms as $key => $val):
                                            $link = get_term_link($val->term_id);
                                            if($key+ 1 == $num){
                                                $split='';
                                            }else{
                                                $split =', ';
                                            }
                                            ?>
                                            <a href="<?php echo esc_url($link); ?>"><?php echo esc_html($val->name); ?><?php echo esc_html($split); ?></a>

                                        <?php endforeach; ?>
                                    </p>
                                    <h5 class="title-h5" data-animation="fadeInRight" data-delay="1.2s"><a
                                                href="<?php echo esc_url(get_the_permalink($item['product'])); ?>">
                                            <?php echo get_the_title($item['product']); ?></a></h5>
                                    <div class="bottom" data-animation="fadeInRight" data-delay="1.4s">
                                        <?php $_product = wc_get_product($item['product']); ?>
                                        <?php echo trim($_product->get_price_html()); ?>
                                    </div>
                                    <div data-animation="fadeInRight" data-delay="1.6s">
                                        <a class="btn-web"
                                           href="<?php echo esc_url(get_the_permalink($item['product'])); ?>"><?php echo esc_html__('Buy Now', 'plant'); ?></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="w50 col-sm-6" data-animation="fadeInLeft" data-delay="0.5s">
                        <img src="<?php echo esc_url($img_slide); ?>"
                             alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" class="img-responsive">
                    </div>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
<?php else: ?>
    <div id="slide_show" class="slide-h5">
        <div id="slider-v5" class="fullw-slider js-slick-slider js-custom-slider <?php echo esc_html($el_class); ?>"
             data-slick="<?php echo esc_html($data_slick_v1); ?>">
            <?php foreach ($items

                           as $key => $item):
            $img_slide = wp_get_attachment_image_url($item['photo_slider'], 'full'); ?>
            <div class="slider-img slider-v5 js-full-slide">
                <div class="bg-slider">
                    <img src="<?php echo esc_url($img_slide); ?>"
                         alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" class="img-responsive">
                </div>
                <div class="content">
                    <?php
                    $str_cat = '';
                    $terms = get_the_terms($item['product'], 'product_cat');
                    $num = count($terms);
                    $split = '';
                    ?>
                    <div class="category-name" data-animation="fadeInRight" data-delay="0.5s">

                        <?php foreach ($terms as $key => $val):
                            $link = get_term_link($val->term_id);
                            if($key+ 1 == $num){
                                $split='';
                            }else{
                                $split =', ';
                            }
                            ?>
                            <a href="<?php echo esc_url($link); ?>"><?php echo esc_html($val->name); ?><?php echo esc_html($split); ?></a>

                        <?php endforeach; ?></div>
                    <h5 class="title" data-animation="fadeInRight" data-delay="1s"><a
                                href="<?php echo esc_url(get_the_permalink($item['product'])); ?>">
                            <?php echo get_the_title($item['product']); ?></a></h5>
                    <div class="bottom big" data-animation="fadeInRight" data-delay="1.2s">
                        <?php $_product = wc_get_product($item['product']); ?>
                        <?php echo trim($_product->get_price_html()); ?>
                    </div>
                    <div class="btn-slide btn-theme" data-animation="fadeInUp" data-delay="1.4s"><a
                                href="<?php echo esc_url(get_the_permalink($item['product'])); ?>"><?php echo esc_html__('Buy Now', 'plant'); ?></a>
                    </div>
                </div>
            </div>
            <?php endforeach; ?>
        </div>
    </div>
<?php endif; ?>
