<?php
$atts = vc_map_get_attributes($this->getShortcode(), $atts);


extract($atts);

$_id = plant_fnc_makeid();
$_count = 0;
$args = array(
    'post_type' => 'testimonial',
    'posts_per_page' => $number,
    'post_status' => 'publish',
);

$query = new WP_Query($args);
?>
<?php

if ($query->have_posts()):
    $data_slick = '{"autoplay": true,"arrows": true,"autoplaySpeed": 4000, "slidesToShow": 1, "slidesToScroll": 1}';
    ?>
    <div class="testimonial container">
        <div class="testimonials-body">
            <div class="bg-testimonials"></div>
            <div class="testimonial-content js-slick-slider" data-slick="<?php echo esc_html($data_slick); ?>">
                <?php while ($query->have_posts()): $query->the_post();
                    $job = get_post_meta(get_the_ID(), 'testimonials_job', true);
                    $name = get_post_meta(get_the_ID(), 'testimonials_name', true);
                    ?>
                    <div class="slider-testimonial">
                        <div class="testimonials-quote">
                            <i class="fa fa-quote-left"></i>
                            <?php the_content() ?>
                        </div>
                        <div class="testimonials-profile">
                            <h4 class="name"><?php echo esc_html($name); ?></h4>
                            <div class="job"><?php echo esc_html($job); ?></div>
                        </div>
                    </div>
                <?php endwhile; ?>
            </div>
        </div>
    </div>
<?php endif;
wp_reset_postdata(); ?>