<?php
    $atts = vc_map_get_attributes( $this->getShortcode(), $atts );
    extract( $atts );
  
    $img = wp_get_attachment_image_src($photo,'full');
    $_id = plant_fnc_makeid();
?>
 
<div class="widget_today_deal deal-<?php echo esc_attr($layer_style); ?> <?php echo (($el_class!='')?' '.esc_attr( $el_class ):''); ?>">
    <div class="widget-content woo-deals">
        <div class="today-deal" id="today_deal_<?php echo esc_attr($_id); ?>">
            <?php 
                $product = wc_get_product();                         
                $time_sale = strtotime( $input_datetime );     
            ?>
            <figure class="image">
                <img src="<?php echo esc_url_raw($img[0]);?>" alt="<?php echo esc_attr($title); ?>" />
            </figure>

            <div class="caption">
                <h2 class="title-heading">
                    <span><span class="icon-title"></span><?php if( isset($title) && $title ){ ?><?php echo esc_html($title); ?><?php } ?></span>                            
                </h2>
                <?php if( isset($subtitle) && $subtitle ){ ?><span class="subtitle"><?php echo esc_html($subtitle); ?></span> <?php } ?>
                <?php if( isset($description) && $description ){ ?><div class="description"><?php echo esc_html($description); ?></div><?php } ?>
                <div class="time">
                    <?php if(   $time_sale ) {  ?>
                    <div class="pts-countdown clearfix" data-countdown="countdown"
                         data-date="<?php echo date('m',$time_sale).'-'.date('d',$time_sale).'-'.date('Y',$time_sale).'-'. date('H',$time_sale) . '-' . date('i',$time_sale) . '-' .  date('s',$time_sale) ; ?>">
                    </div>
                    <?php } ?> 
                </div>
                <?php $link = vc_build_link($link_button); ?>
                <a class="btn btn-theme" href="<?php echo esc_url($link['url']); ?>">
                    <?php echo esc_attr($text_button); ?> 
                </a>
            </div>
            <?php wp_reset_postdata(); ?>
        </div>
    </div>
</div>