(function () {
	jQuery(document).ready(function($) {  
		 "use strict";
		$('body').delegate(".input_datetime", 'hover', function(e){
	            e.preventDefault();
	            $(this).datepicker({
		               defaultDate: "",
		               dateFormat: "yy-mm-dd",
		               numberOfMonths: 1,
		               showButtonPanel: true,
	            });
         });

		var hides = ['plant_audio_link','plant_link_link','plant_link_text','plant_video_link','plant_quote','plant_gallery_files'];
		var shows = {
			audio:['plant_audio_link'],
			video:['plant_video_link','plant_video_text'],
			link:['plant_link_link','plant_link_text'],
            quote:['plant_quote'],
			gallery:['plant_gallery_files']
		}
		$( '.post-type-post #post-formats-select input' ).on('click', function(){
			 $(hides).each( function( i, item ){
			 	$("[name="+item+']').parent().parent().hide();
			 } );
			 var s = $(this).val();
			 if( shows[s] != null ){
			 	$(shows[s]).each( function( i, is ){
			 		$("[name="+is+']').parent().parent().show();
				 } );
			 }
		} );
	});	
} )( jQuery );