<?php
/**
 * Created by PhpStorm.
 * User: MyPC
 * Date: 28/08/2018
 * Time: 2:05 CH
 */
$layout = get_post_meta(get_the_ID(), 'plant_header_layout', 'header');

?>

<header id="header_mobile" class="header-mobile-default hidden-lg hidden-md">
    <div class="header-top">
        <div class="container">
            <?php get_template_part('page-templates/parts/logo'); ?>
        </div>
    </div>
    <div class="header-bottom <?php if($layout =='header'){echo esc_attr('border-bottom');} ?>">
        <div class="container">
            <div class="inner">
                <div class="header-main">
                    <div class="main-left pbr-mainmenu">
                        <button data-toggle="offcanvas" class="btn btn-offcanvas btn-toggle-canvas offcanvas"
                                type="button">
                            <i class="ion ion-android-menu"></i>
                        </button>
                    </div>
                    <div class="main-right">
                        <div class="search-popup search_modal search">
                            <a href="#" class="tp_btn_search" data-toggle="modal" data-target="#Searchmobile">
                                <i class="pe-7s-search"></i>
                            </a>
                            <div id="Searchmobile" class="modal fade" role="dialog">
                                <div class="modal-dialog modal-lg">
                                    <div class="modal-content">
                                        <button type="button" class="close" data-dismiss="modal"><span
                                                    class="pe-7s-close"></span></button>

                                        <?php get_search_form(); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php do_action("plant_template_header_right"); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
