<?php if ( function_exists( 'the_custom_logo' ) && has_custom_logo() ): ?>
	<div class="logo logo-theme text-center logo-default">
        <?php the_custom_logo(); ?>
	</div>
<?php else: ?>
    <div class="logo logo-theme text-center logo-default">
        <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
             <img class="img-responsive" src="<?php echo get_template_directory_uri() . '/images/logo.png'; ?>" alt="<?php echo esc_attr(get_bloginfo('name','display')); ?>" />
        </a>
    </div>
<?php endif; ?>