<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    plant
 * @author     ENGOTHEME Team <engotheme@gmail.com?>
 * @copyright  Copyright (C) 2018 engotheme.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  https://engotheme.com/
 * @support  https://engotheme.com/
 */
?>
<form method="get" class="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<div class="pbr-search input-group">
		<input name="s" maxlength="40" class="form-control input-large input-search" type="text" size="20" placeholder="<?php esc_attr_e('Search…', 'plant'); ?>">
		<span class="input-group-addon input-large btn-search">
            <button type="submit" class="fa"><i class="ion-ios-search"></i></button>
			<?php if( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ){ ?>
			<input type="hidden" name="post_type" value="product" />
			<?php } ?>
		</span>
	</div>
</form>


