<?php
/**
 * The Content Sidebar
 *
 * @package ENGOTHEME
 * @subpackage Plant
 * @since Plant 1.0
 */

if ( ! is_active_sidebar( 'sidebar-left' ) &&  ! is_active_sidebar( 'sidebar-right' )) {
	return;
}

$plant_page_layouts = apply_filters( 'plant_fnc_sidebars_others_configs', null );

if ( isset( $plant_page_layouts['sidebars'] ) ): $sidebars = $plant_page_layouts['sidebars'];

	?>
	<?php if ( $sidebars['left']['show'] ) : ?>
        <div class="<?php echo esc_attr( $sidebars['left']['class'] ); ?>">
            <div id="content-sidebar" class="content-sidebar widget-area" role="complementary">
				<?php dynamic_sidebar( 'sidebar-left' ); ?>
            </div><!-- #content-sidebar -->
        </div>
	<?php endif; ?>

	<?php if ( $sidebars['right']['show'] ) : ?>
        <div class="<?php echo esc_attr( $sidebars['right']['class'] ); ?>">
            <div id="content-sidebar" class="content-sidebar widget-area" role="complementary">
				<?php dynamic_sidebar( 'sidebar-right' ); ?>
            </div>
        </div>

	<?php endif; ?>
<?php endif; ?>



