<?php

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$enddays = strtotime($input_datetime);

?>
<div class="pro-deal <?php echo trim($el_class); ?>">
    <div class="pro-content">
        <h4 class="title"><?php echo trim($title); ?></h4>
        <p class="desc"><?php echo esc_html($descript); ?></p>
        <div class="count-down clearfix">
            <ul data-countdown="countdown"
                data-date="<?php echo esc_html(date('Y', $enddays)); ?>-<?php echo esc_html(date('m', $enddays)); ?>-<?php echo esc_html(date('d', $enddays)); ?>-<?php echo esc_html(date('H', $enddays)); ?>-<?php echo esc_html(date('i', $enddays)); ?>-<?php echo esc_html(date('s', $enddays)) ?>"
                class="deals-coundown">
            </ul>
        </div>
        <a class="btn-web btn-shadow btn-deal" href="<?php echo esc_url($link); ?>"
           tabindex="-1"><?php echo esc_html($text_link); ?></a>
    </div>
</div>