<?php

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$_id = plant_fnc_makeid();
$args = array(
    'post_type' => 'brands',
    'posts_per_page' => $number
);
$loop = new WP_Query($args);
if ($loop->have_posts()) :
    $_count = 1;
    ?>
    <div class="brand <?php echo(($el_class != '') ? ' ' . esc_attr($el_class) : ''); ?>">
        <?php if (!empty($title)) { ?>
            <h4 class="wpb_heading">
                <span><?php echo trim($title); ?></span>
                <?php if (trim($descript) != '') { ?>
                    <span class="widget-desc">
		                <?php echo trim($descript); ?>
		            </span>
                <?php } ?>
            </h4>
        <?php } ?>

        <div class="inner">
            <?php if ($style == 'carousel'): ?>

                <?php
                  $data_slick = '{"arrows": true,"slidesToShow": '.esc_attr($columns_count).', "slidesToScroll": 1,
                                "responsive": [ {"breakpoint": 1200, "settings": {"slidesToShow":  '.esc_attr($columns_count).', "slidesToScroll": 1}},
                                {"breakpoint": 1024, "settings": {"slidesToShow": 3, "slidesToScroll": 1}},
                                 {"breakpoint": 480, "settings": {"slidesToShow": 1, "slidesToScroll": 1,"arrows":true}}]}';
                 ?>
                <div class="brand-content js-slick-slider" data-slick="<?php echo esc_html($data_slick); ?>">
                    <?php while ($loop->have_posts()) : $loop->the_post(); ?>
                        <?php
                        $link = get_post_meta(get_the_ID(), 'brands_brank_link', true);
                        $link = $link ? $link : '#';

                        ?>
                        <div class="brand-item">
                            <a href="<?php echo esc_url($link); ?>"><img src="<?php echo esc_url(get_the_post_thumbnail_url()); ?>" class="img-responsive" alt="brand1"></a>
                        </div>
                    <?php endwhile; ?>
                    <?php wp_reset_postdata(); ?>
                </div>
            <?php else: ?>
                <?php
                $_count = 0;
                $col = floor(12 / $columns_count);
                $smcol = ($col > 4) ? 6 : $col;
                $class_column = 'col-lg-' . $col . ' col-md-' . $col . ' col-sm-' . $smcol . ' col-xs-12';
                ?>

                <div class="widget-brands-inner">
                    <?php while ($loop->have_posts()) : $loop->the_post(); ?>
                        <?php if ($_count % $columns_count == 0): ?>
                            <div class="row">
                        <?php endif; ?>
                        <div class="item <?php echo esc_attr($class_column); ?>">
                            <?php
                            $link = get_post_meta(get_the_ID(), 'brands_brank_link', true);
                            $link = $link ? $link : '#';
                            ?>
                            <!-- Product Item -->
                            <div class="item-brand text-center">
                                <a href="<?php echo esc_url($link); ?>" target="_blank">
                                    <?php the_post_thumbnail('brand-logo'); ?>
                                </a>
                            </div>
                            <!-- End Product Item -->

                        </div>
                        <?php if ($_count % $columns_count == $columns_count - 1 || $_count == $loop->post_count - 1): ?>
                            </div>
                        <?php endif; ?>
                        <?php $_count++; ?>
                    <?php endwhile; ?>
                </div>
                <?php wp_reset_postdata(); ?>
            <?php endif; ?>
        </div>

    </div>
<?php endif; ?>