<?php
/**
 * Created by PhpStorm.
 * User: MyPC
 * Date: 06/09/2018
 * Time: 2:39 CH
 */
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

if (trim($name) != '') {

    $photo_num = max(1, intval($photo_num));
    $media_array = plant_scrape_instagram($name, $photo_num);
    ?>
    <div class="instagram-vc <?php echo esc_html($el_class); ?> <?php echo esc_html($style); ?>">
        <?php if ($style == 'style-1'):
            $data_slick = '{"arrows": true,"rows": 2,"slidesToShow": 5, "slidesToScroll": 1,
                                "responsive": [ {"breakpoint": 1000, "settings": {"slidesToShow": 3, "slidesToScroll": 1,"arrows": true}},
                                 {"breakpoint": 600, "settings": {"slidesToShow": 1, "slidesToScroll": 1,"arrows":true}}]}';
            ?>
            <div class="ins-wrap">
                <div class="bg clearfix">
                    <h5 class="title-h5"><i class="fa fa-instagram"></i> <a href="<?php echo esc_html($link); ?>"><?php echo esc_html($link_name); ?></a><?php echo esc_html__('On Instagram', 'plant'); ?>
                    </h5>
                </div>
                <div class="js-slick-slider" data-slick="<?php echo esc_html($data_slick); ?>">
                    <?php if (!empty($media_array)): ?>
                        <?php foreach ($media_array as $item) : ?>
                            <div class="item">
                                <div class="content">
                                    <a href="<?php echo esc_url($item['link']); ?>"
                                       class="clearfix"><img src="<?php echo esc_url($item['thumbnail']); ?>"
                                                             class="img-responsive"
                                                             alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>"/></a>
                                </div>
                            </div>
                        <?php endforeach; ?>
                    <?php endif; ?>
                </div>
                <!-- /container -->
            </div>
        <?php else:
            $data_slick = '{"arrows": true,"slidesToShow": 5, "slidesToScroll": 1,
                                "responsive": [ {"breakpoint": 1000, "settings": {"slidesToShow": 3, "slidesToScroll": 1,"arrows": true}},
                                 {"breakpoint": 600, "settings": {"slidesToShow": 1, "slidesToScroll": 1,"arrows":true}}]}';
            ?>
            <div class="bg clearfix">
                <h5 class=" title-h5"><i class="fa fa-instagram"></i> <?php echo esc_html__('Instagram', 'plant'); ?>
                </h5>
            </div>
            <div class="js-slick-slider" data-slick="<?php echo esc_html($data_slick); ?>">
                <?php if (!empty($media_array)): ?>
                    <?php foreach ($media_array as $item) : ?>
                        <div class="item">
                            <a href="<?php echo esc_url($item['link']); ?>"
                               class="clearfix"><img src="<?php echo esc_url($item['thumbnail']); ?>"
                                                     class="img-responsive"
                                                     alt="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>"/></a>
                        </div>
                    <?php endforeach; ?>
                <?php endif; ?>
            </div>
        <?php endif; ?>
    </div>
    <?php
}
