<?php

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

switch ($columns_count) {

    case '6':
        $class_column = 'col-lg-2 col-md-4 col-sm-6 col-xs-12';
        $data_slick = '{"centerPadding": 30,"centerMode": true, "slidesToShow": 6, "slidesToScroll": 1,
                                "responsive": [ {"breakpoint": 1000, "settings": {"slidesToShow": 4, "slidesToScroll": 1}},
                                 {"breakpoint": 600, "settings": {"slidesToShow": 2, "slidesToScroll": 1}},
                                 {"breakpoint": 480, "settings": {"slidesToShow": 1, "slidesToScroll": 1}}]}';
        break;

    case '4':
        $class_column = 'col-lg-3 col-md-4  col-sm-6 col-xs-12';
        $data_slick = '{"centerPadding": 30,"centerMode": true, "slidesToShow": 4, "slidesToScroll": 1,
                                "responsive": [ {"breakpoint": 1000, "settings": {"slidesToShow": 2, "slidesToScroll": 1}},
                                 {"breakpoint": 600, "settings": {"slidesToShow": 2, "slidesToScroll": 1}},
                                 {"breakpoint": 480, "settings": {"slidesToShow": 1, "slidesToScroll": 1}}]}';
        break;

    case '5':
        $class_column = 'col-lg-5 col-sm-6 col-xs-12';
        $data_slick = '{"centerPadding": 30,"centerMode": true, "slidesToShow": 5, "slidesToScroll": 1,
                                "responsive": [ {"breakpoint": 1000, "settings": {"slidesToShow": 3, "slidesToScroll": 1}},
                                 {"breakpoint": 600, "settings": {"slidesToShow": 2, "slidesToScroll": 1}},
                                 {"breakpoint": 480, "settings": {"slidesToShow": 1, "slidesToScroll": 1}}]}';
        break;

    case '3':
        $class_column = 'col-lg-4 col-sm-6 col-xs-12';
        $data_slick = '{"centerPadding": 30,"centerMode": true, "slidesToShow": 3, "slidesToScroll": 1,
                                "responsive": [ {"breakpoint": 992, "settings": {"slidesToShow": 1, "slidesToScroll": 1}}]}';
        break;

    case '2':
        $class_column = 'col-lg-6 col-sm-6 col-xs-12';
        $data_slick = '{"centerPadding": 30,"centerMode": true, "slidesToShow": 2, "slidesToScroll": 1,
                                "responsive": [ {"breakpoint": 1000, "settings": {"slidesToShow": 2, "slidesToScroll": 1}},
                                 {"breakpoint": 600, "settings": {"slidesToShow": 1, "slidesToScroll": 1}},
                                 {"breakpoint": 480, "settings": {"slidesToShow": 1, "slidesToScroll": 1}}]}';
        break;

    default:
        $class_column = 'col-md-12 col-sm-12';
        $data_slick = '{"centerPadding": 30,"centerMode": true, "slidesToShow": 1, "slidesToScroll": 1,
                                "responsive": [ {"breakpoint": 1000, "settings": {"slidesToShow": 1, "slidesToScroll": 1}},
                                 {"breakpoint": 600, "settings": {"slidesToShow": 1, "slidesToScroll": 1}},
                                 {"breakpoint": 480, "settings": {"slidesToShow": 1, "slidesToScroll": 1}}]}';
        break;
}

if ($type == '') return;


global $woocommerce;

$_id = plant_fnc_makeid();
$_count = 1;

if (strtolower($term_id) == 'none') {
    $term_id = null;
}

$loop = plant_fnc_woocommerce_query($type, $number, $term_id);
?>

<div class="vc-prouducts widget widget-products widget-<?php echo esc_attr($style); ?> <?php echo esc_html($el_class); ?>">
    <?php

    if ($style == 'special-v2') {

        $data_slick = '{"autoplay": false,"centerMode": true,"dots": true,"arrows":true,"speed":500, "slidesToShow": 1, "slidesToScroll": 1,
                                "responsive": [ {"breakpoint": 1024, "settings": {"slidesToShow": 1, "slidesToScroll": 1,"infinite":true,"dots":true,"arrows":true}},
                                 {"breakpoint": 600, "settings": {"slidesToShow": 1, "slidesToScroll": 1,"infinite":true,"dots":true,"arrows":false}}]}';
    }

    if ($loop->have_posts()) :?>
        <div class="widget-content">
            <div class="<?php echo esc_attr($style); ?>-wrapper">
                <?php wc_get_template('widget-products/' . $style . '.php', array('loop' => $loop, 'columns_count' => $columns_count, 'class_column' => $class_column, 'posts_per_page' => $number, 'data_slick' => $data_slick)); ?>
            </div>
        </div>
    <?php endif; ?>
    <?php wp_reset_postdata(); ?>
</div>