<?php
  $post_category = "";
  $categories = get_the_category();
  $separator = ' ';
  $output = '';
  if($categories){
    foreach($categories as $category) {
      $output .= '<a href="'. esc_url( get_category_link( $category->term_id ) ).'" title="' . sprintf( esc_attr( "View all posts in %s", 'plant' ), $category->name ) . '">'.$category->cat_name.'</a>'.$separator;
    }
  $post_category = trim($output, $separator);
  }      
?>

  <article class="post">

    <div class="media">
      <figure class="entry-thumb pull-left"> 
          <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="entry-image zoom-2">
               <?php the_post_thumbnail('thumbnail');?>
          </a>
      </figure>
      <div class="media-body">
        <div class="entry-meta-2">
            <span class="entry-date">
              <span><?php the_time( 'F' ); ?></span>&nbsp;<?php the_time( 'd' ); ?>,&nbsp;<?php the_time( 'Y' ); ?>
            </span>            
        </div>
        <h4 class="entry-title">
          <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
        </h4>
      </div>
    </div>
  </article>