<?php $thumbsize = isset($thumbsize)? $thumbsize : 'thumbnail';?>
<?php
  $post_category = "";
  $categories = get_the_category();
  $separator = ' | ';
  $output = '';
  if($categories){
    foreach($categories as $category) {
      $output .= '<a href="'.esc_url( get_category_link( $category->term_id ) ).'" title="' . esc_attr( "View all posts in %s", 'plant' ), $category->name ) . '">'.$category->cat_name.'</a>'.$separator;
    }
  $post_category = trim($output, $separator);
  }      
?>
<?php
if ( has_post_thumbnail() ) {
    ?>
        <figure class="entry-thumb">
            <a href="<?php echo esc_url(the_permalink()); ?>"  class="entry-image zoom-2">
                <?php the_post_thumbnail( '$thumbsize' );?>
            </a>
            <!-- vote    -->
            <?php do_action('wpopal_show_rating') ?>
             <div class="category-highlight hidden">
                <?php echo trim($post_category); ?>
            </div>
        </figure>
    <?php
}
?>
<div class="entry-content">
    <div class="entry-content-inner clearfix">
        <div class="entry-meta clearfix">
            <span class="entry-date">
                <span><?php the_time('F j, Y'); ?></span>
            </span>
        </div>
    </div>

    <?php
        if (get_the_title()) {
        ?>
            <h4 class="entry-title">
            </h4>
    <?php } ?>    

    <span class="author">
        <?php esc_html_e('by ', 'plant'); the_author_posts_link(); ?>
    </span>
    <?php if ( ! post_password_required() && ( comments_open() || get_comments_number() ) ) : ?>
    <span class="comments-link"><span class="fa fa-comment-o"></span> <?php comments_popup_link( esc_html__( 'Leave a comment', 'plant' ), esc_html__( '1 Comment', 'plant' ), esc_html__( '% Comments', 'plant' ) ); ?></span>
    <?php endif; ?>
    <?php
        if (! has_excerpt()) {
            echo "";
        } else {
            ?>
                <p class="entry-description"><?php echo plant_fnc_excerpt(30,'...'); ?></p>
            <?php
        }
    ?>
    <!-- <div class="readmore">
        <a href="<?php the_permalink(); ?>" title="<?php esc_attr_e( 'Read More', 'plant' ); ?>"><?php esc_html_e( 'Read More', 'plant' ); ?> <i class="fa fa-arrow-right"></i></a>
    </div> -->
</div>